import { Tool, ToolContext } from '../types.js';
import { AgentConfig } from './config.js';
import { ToolAgentResult } from './types.js';
/**
 * Main tool agent function that orchestrates the conversation with the AI
 * and handles tool execution
 */
export declare const toolAgent: (initialPrompt: string, tools: Tool[], config: AgentConfig, context: ToolContext) => Promise<ToolAgentResult>;
//# sourceMappingURL=toolAgentCore.d.ts.map