import { BrowserConfig, BrowserSession } from './types.js';
export declare class BrowserManager {
    private sessions;
    private readonly defaultConfig;
    constructor();
    createSession(config?: BrowserConfig): Promise<BrowserSession>;
    closeSession(sessionId: string): Promise<void>;
    private setupCleanup;
    /**
     * Sets up global cleanup handlers for all browser sessions
     */
    private setupGlobalCleanup;
    closeAllSessions(): Promise<void>;
    getSession(sessionId: string): BrowserSession;
}
//# sourceMappingURL=BrowserManager.d.ts.map